[error] Can't burn bootloader! --> esptool.py v2.0 Linux

Hey guys,
I am getting this error when trying to register or install packages for my device (ESP 32 - Dev KitC). I am using Linux Ubuntu and version 2.5.2.

[error] Can’t burn bootloader! --> esptool.py v2.0

I am a newbie so maybe I am doing something wrong.

PS: attached the log

[info] Downloading package sys.zerynth.esptool-linux64

[info] Downloading package sys.zerynth.xtensalx6-linux64

[info] Downloading package vhal.zerynth.xtensalx6_esp32

[info] Installing package sys.zerynth.esptool-linux64

[info] Installing package sys.zerynth.xtensalx6-linux64

[info] Installing package vhal.zerynth.xtensalx6_esp32

[info] All dependencies installed!

[info] Starting device registration

[info] Burning bootloader…

[info] Burning bin

[info] esptool.py v2.0

[info] Traceback (most recent call last):

[info] File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 289, in open

[info] self.fd = os.open(self.portstr, os.O_RDWR|os.O_NOCTTY|os.O_NONBLOCK)

[info] PermissionError: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

[info]

[info] During handling of the above exception, another exception occurred:

[info]

[info] Traceback (most recent call last):

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2405, in

[info] _main()

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2398, in _main

[info] main()

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2127, in main

[info] esp = chip_class(args.port, initial_baud)

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 175, in init

[info] self._port = serial.serial_for_url(port)

[info] File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/init.py”, line 78, in serial_for_url

[info] instance.open()

[info] File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 292, in open

[info] raise SerialException(msg.errno, “could not open port %s: %s” % (self._port, msg))

[info] serial.serialutil.SerialException: [Errno 13] could not open port /dev/ttyUSB0: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

[error] Can’t burn bootloader! --> esptool.py v2.0

Traceback (most recent call last):

File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 289, in open

self.fd = os.open(self.portstr, os.O_RDWR|os.O_NOCTTY|os.O_NONBLOCK)

PermissionError: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2405, in

_main()

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2398, in _main

main()

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2127, in main

esp = chip_class(args.port, initial_baud)

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 175, in init

self._port = serial.serial_for_url(port)

File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/init.py”, line 78, in serial_for_url

instance.open()

File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 292, in open

raise SerialException(msg.errno, "could not open port %s: %s" % (self._port, msg))

serial.serialutil.SerialException: [Errno 13] could not open port /dev/ttyUSB0: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

[info] Writing /home/crazyseb/.zerynth2/tmp/esp32_devkitc/main.py

[info] Writing /home/crazyseb/.zerynth2/tmp/esp32_devkitc/Makefile

Project config file missing

[info] Writing /home/crazyseb/.zerynth2/tmp/esp32_devkitc/project.yml

[warning] Trying to search attached device

[info] Preparing esp32_devkitc

[info] Rewriting /home/crazyseb/.zerynth2/tmp/esp32_devkitc/project.yml

[warning] Trying to get latest available vm

{‘xfeatures’: [], ‘version’: ‘r20.05.13’, ‘target’: ‘esp32_devkitc’, ‘features’: [], ‘rtos’: ‘esp32-rtos’, ‘description’: ‘Standard’}

[info] Rewriting /home/crazyseb/.zerynth2/tmp/esp32_devkitc/project.yml

[info] Burning bootloader…

[info] Burning bin

[info] esptool.py v2.0

[info] Traceback (most recent call last):

[info] File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 289, in open

[info] self.fd = os.open(self.portstr, os.O_RDWR|os.O_NOCTTY|os.O_NONBLOCK)

[info] PermissionError: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

[info]

[info] During handling of the above exception, another exception occurred:

[info]

[info] Traceback (most recent call last):

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2405, in

[info] _main()

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2398, in _main

[info] main()

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2127, in main

[info] esp = chip_class(args.port, initial_baud)

[info] File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 175, in init

[info] self._port = serial.serial_for_url(port)

[info] File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/init.py”, line 78, in serial_for_url

[info] instance.open()

[info] File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 292, in open

[info] raise SerialException(msg.errno, “could not open port %s: %s” % (self._port, msg))

[info] serial.serialutil.SerialException: [Errno 13] could not open port /dev/ttyUSB0: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

[error] Can’t burn bootloader! --> esptool.py v2.0

Traceback (most recent call last):

File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 289, in open

self.fd = os.open(self.portstr, os.O_RDWR|os.O_NOCTTY|os.O_NONBLOCK)

PermissionError: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2405, in

_main()

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2398, in _main

main()

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 2127, in main

esp = chip_class(args.port, initial_baud)

File “/home/crazyseb/.zerynth2/dist/r2.5.2/sys/esptool/esp32/esptool.py”, line 175, in init

self._port = serial.serial_for_url(port)

File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/init.py”, line 78, in serial_for_url

instance.open()

File “/home/crazyseb/.zerynth2/sys/python/lib/python3.5/site-packages/serial/serialposix.py”, line 292, in open

raise SerialException(msg.errno, "could not open port %s: %s" % (self._port, msg))

serial.serialutil.SerialException: [Errno 13] could not open port /dev/ttyUSB0: [Errno 13] Permission denied: ‘/dev/ttyUSB0’

since you are running Linux, You need certain permissions to access the device, mainly permissions to the user and adding it to groups like dialout
Check the following information :
https://docs.zerynth.com/latest/reference/boards/esp32_devkitc/docs/#connect-register-virtualize-and-program